pcl::_PointXYZLNormal Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZLNormal:

## Public Attributes

| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
std::uint32_t label
float curvature
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 1133 of file point_types.hpp.

## Member Data Documentation

##

union { ... }

## curvature

float pcl::_PointXYZLNormal::curvature

Definition at line 1142 of file point_types.hpp.

Referenced by pcl::PointXYZLNormal::PointXYZLNormal().

## data_c

float pcl::_PointXYZLNormal::data_c[4]

Definition at line 1144 of file point_types.hpp.

## label

std::uint32_t pcl::_PointXYZLNormal::label

Definition at line 1141 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::add(), pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::get(), pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::operator()(), pcl::PointXYZLNormal::PointXYZLNormal(), and pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::set().

## PCL_ADD_NORMAL4D

pcl::_PointXYZLNormal::PCL_ADD_NORMAL4D

Definition at line 1136 of file point_types.hpp.

## PCL_ADD_POINT4D

pcl::_PointXYZLNormal::PCL_ADD_POINT4D

Definition at line 1135 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp